'<%
'************************************************
' File:    VBDir.vbs (VBScript) 
' Author:  Giovanni Cenati 
' http:/digilander.libero.it/Cenati
' Codice liberamente utilizzabile citando il sito.
' Mostra in una pagina di notepad l'elenco dei
' files della directory trascinata sopra l'icona
' dello script.
'************************************************
Dim Text
Dim  fso, oFolder, oFolders, oFiles, oFile

Set objArgs = WScript.Arguments  'Vedo se ci sono degli argomenti passati allo script
if objargs.count=0 then  'altrimenti mostro come si usa il programma
	msgbox "Trascinare una directory sul programma per averne l'elenco dei files",vbinformation+vbokonly,"VB Directory by Cenati Giovanni"
	wscript.quit
end if
path = objArgs(0)  'questa variabile contiene il nome della directory da leggere
Title = "VB Directory by Cenati Giovanni"

' Crea l'oggetto FileSystemObject per accedere al file system.
Set fso = WScript.CreateObject("Scripting.FileSystemObject")
Set oFolder = fso.GetFolder(path)  'Qui punto alla directory specificata
Set oFiles = oFolder.Files  ' Questi sono i files
set oFolders =oFolder.Subfolders 'queste sono le sottocartelle

text= "Directory: " & path & vbcrlf & vbcrlf  ' Intestazione

For Each oFile In oFiles  'recupero le informazioni sui files
    Text = Text & "[ " & DateCreatedEx(oFile) & " ] "  ' Data di creazione
    Text = Text & oFile.name  & vbCrLf 
Next
Text = Text & "<b>"  'Le sottocartelle le metto in grassetto
for each oFolder in oFolders 'Recupero le informazioni sulle sottocartelle
	
	Text = Text & "[ " & DateCreatedEx(oFolder) & " ] "  ' Data di creazione
    Text = Text & oFolder.name  & vbCrLf 
next
Text = Text & "</b>"  'termino la parte in grassetto


' Lancia Internet Explorer per mostrare i risultati.
Set oIE = WScript.CreateObject("InternetExplorer.Application")
oIE.navigate "about:blank"  '  documento vuoto

' Importante: aspetta che Internet Explorer sia pronto
Do While (oIE.Busy)    
    WScript.Sleep 200      ' Sospende per 200 millisecondi.
Loop
oIE.Visible = 1             ' Internet Explorer  visibile.
    oIE.ToolBar = 1			' ed ha la toolbar cos  presente il pulsante "stampa"
    'oIE.Width = 600
    oIE.Height = 500 
Set doc1 = oIE.Document     ' Punta al documento...
    doc1.open               ' ...lo apre
    ' Scrive le intestazioni html ed il testo con le info sulla directory
    doc1.writeln("<html><head><title>" & Title & "</title></head>")
    doc1.writeln("<body bgcolor='#FAF0F0'><pre>")
    doc1.writeln(Text)           ' questo  l'output
    doc1.writeln("</pre></body></html>")
    doc1.close                  ' Chiude il documento, che rimane sullo schermo

'questa qui sotto l'ho copiata cos come era 
' Helper function for preventing run-time errors
Function DateCreatedEx(obj)
    On Error Resume Next       ' Error handling on
    Dim datex
    ' Retrieves the file creation date
    datex = obj.DateCreated    'Created 
    If Err.Number <> 0 Then datex = "unknown      "
    DateCreatedEx = datex
    On Error Goto 0    ' Error handling off
End Function